package org.zeroturnaround.javarebel.integration.resin;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtMethod;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

public class ResinDeployControllerConfigCBP extends JavassistClassBytecodeProcessor {

  public void process(ClassPool cp, ClassLoader cl, CtClass ctClass) throws Exception {
    CtMethod m = ctClass.getMethod("getRedeployMode", "()Ljava/lang/String;");
    m.insertBefore("return \"manual\";");
    
    m = ctClass.getMethod("init", "()Z");
    m.insertBefore("_redeployMode = \"manual\";");

//    CtConstructor constrcutor = ctClass.getConstructor("(Ljava/lang/String;Ljava/lang/ClassLoader;)V");
//    constrcutor.insertBefore("System.out.println(\"TRANSFORM CONST\");\n" +"_redeployMode = \"manual\";");
//    
//    
//    constrcutor = ctClass.getConstructor("(Ljava/lang/String;)V");
//    constrcutor.insertBefore("System.out.println(\"TRANSFORM CONST\");\n" +"_redeployMode = \"manual\";");
  }
}
