package org.zeroturnaround.javarebel.integration.jboss4;

import org.zeroturnaround.bundled.javassist.ClassPool;
import org.zeroturnaround.bundled.javassist.CtClass;
import org.zeroturnaround.bundled.javassist.CtMethod;
import org.zeroturnaround.javarebel.integration.support.JavassistClassBytecodeProcessor;

public class UnifiedLoaderRepository3CBP extends JavassistClassBytecodeProcessor {
	public void process(ClassPool cp, ClassLoader cl, CtClass ctClass) throws Exception {
		cp.importPackage("java.util");

		CtMethod getPackageClassLoadersMethod = ctClass.getDeclaredMethod("getPackageClassLoaders");
		getPackageClassLoadersMethod.setBody(
				"{return classLoaders;}");		
	}
}
